Skip to content
Start here

Get Sippy Configuration

r2.buckets.sippy.get(strbucket_name, SippyGetParams**kwargs) -> Sippy
GET/accounts/{account_id}/r2/buckets/{bucket_name}/sippy

Gets configuration for Sippy for an existing R2 bucket.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
ParametersExpand Collapse
account_id: str

Account ID.

maxLength32
bucket_name: str

Name of the bucket.

maxLength64
minLength3
jurisdiction: Optional[Literal["default", "eu", "fedramp"]]

Jurisdiction where objects in this bucket are guaranteed to be stored.

One of the following:
"default"
"eu"
"fedramp"
ReturnsExpand Collapse
class Sippy:
destination: Optional[Destination]

Details about the configured destination bucket.

access_key_id: Optional[str]

ID of the Cloudflare API token used when writing objects to this bucket.

account: Optional[str]
bucket: Optional[str]

Name of the bucket on the provider.

provider: Optional[Provider]
enabled: Optional[bool]

State of Sippy for this bucket.

source: Optional[Source]

Details about the configured source bucket.

bucket: Optional[str]

Name of the bucket on the provider (AWS, GCS only).

bucket_url: Optional[str]

S3-compatible URL (Generic S3-compatible providers only).

provider: Optional[Literal["aws", "gcs", "s3"]]
One of the following:
"aws"
"gcs"
"s3"
region: Optional[str]

Region where the bucket resides (AWS only).

Get Sippy Configuration

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
sippy = client.r2.buckets.sippy.get(
    bucket_name="example-bucket",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(sippy.destination)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "destination": {
      "accessKeyId": "accessKeyId",
      "account": "account",
      "bucket": "bucket",
      "provider": "r2"
    },
    "enabled": true,
    "source": {
      "bucket": "bucket",
      "bucketUrl": "bucketUrl",
      "provider": "aws",
      "region": "region"
    }
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "destination": {
      "accessKeyId": "accessKeyId",
      "account": "account",
      "bucket": "bucket",
      "provider": "r2"
    },
    "enabled": true,
    "source": {
      "bucket": "bucket",
      "bucketUrl": "bucketUrl",
      "provider": "aws",
      "region": "region"
    }
  },
  "success": true
}